PROGRAM arrsection

  INTEGER :: arr1(1:10), arr2(1:5), arr3(1:5)

  arr1 = 1  
  arr2 = (/ 2, 4, 6, 8, 10 /)  
  arr3 = (/ 3, 5, 7, 9, 11 /)

  arr1(1:10:2) = arr2     ! Sets every odd element
  PRINT*, arr1
  arr1(10:1:-2) = arr3    ! Even elements, reversed
  PRINT*, arr1
  arr1 = arr1(10:1:-1)   ! Reverses the order of arr1
  PRINT*, arr1

END PROGRAM arrsection